org.eclipse.jgit.api

## Enum ResetCommand.ResetType

- java.lang.Object
- - java.lang.Enum<ResetCommand.ResetType>
  - - org.eclipse.jgit.api.ResetCommand.ResetType

All Implemented Interfaces:
  Serializable, Comparable<ResetCommand.ResetType>

Enclosing class:
  ResetCommand

    public static enum ResetCommand.ResetType
    extends Enum<ResetCommand.ResetType>

Kind of reset

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HARD` Change the ref, the index and the workdir
`KEEP` Change the ref, the index and the workdir that are different between respective commit and HEAD
`MERGE` Resets the index and updates the files in the working tree that are different between respective commit and HEAD, but keeps those which are different between the index and working tree
`MIXED` Change the ref and the index, the workdir is not changed.
`SOFT` Just change the ref, the index and workdir are not changed.

### Method Summary

All Methods Static Methods Concrete Methods
`static ResetCommand.ResetType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ResetCommand.ResetType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SOFT

    public static final ResetCommand.ResetType SOFT

Just change the ref, the index and workdir are not changed.

#### MIXED

    public static final ResetCommand.ResetType MIXED

Change the ref and the index, the workdir is not changed.

#### HARD

    public static final ResetCommand.ResetType HARD

Change the ref, the index and the workdir

#### MERGE

    public static final ResetCommand.ResetType MERGE

Resets the index and updates the files in the working tree that are different between respective commit and HEAD, but keeps those which are different between the index and working tree

#### KEEP

    public static final ResetCommand.ResetType KEEP

Change the ref, the index and the workdir that are different between respective commit and HEAD

### Method Detail

#### values

    public static ResetCommand.ResetType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ResetCommand.ResetType c : ResetCommand.ResetType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ResetCommand.ResetType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null